package com.dbxml.db.core.security;

/*
 * dbXML - Native XML Database
 * Copyright (C) 1999-2004  The dbXML Group, L.L.C.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * $Id: InvalidUserException.java,v 1.3 2004/02/12 00:17:57 bradford Exp $
 */

import com.dbxml.db.core.FaultCodes;

/**
 * InvalidUserException
 */

public class InvalidUserException extends SecurityException {
   public InvalidUserException() {
      super(FaultCodes.SEC_INVALID_USER);
   }

   public InvalidUserException(Throwable wrapped) {
      super(FaultCodes.SEC_INVALID_USER, wrapped);
   }

   public InvalidUserException(String message) {
      super(FaultCodes.SEC_INVALID_USER, message);
   }

   public InvalidUserException(String message, Throwable wrapped) {
      super(FaultCodes.SEC_INVALID_USER, message, wrapped);
   }
}
